# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file '/home/laptech/pbsa/DEXBot/dexbot/views/ui/error_dialog.ui'
#
# Created by: PyQt5 UI code generator 5.10
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_Dialog(object):
    def setupUi(self, Dialog):
        Dialog.setObjectName("Dialog")
        Dialog.resize(400, 224)
        Dialog.setMaximumSize(QtCore.QSize(400, 400))
        Dialog.setBaseSize(QtCore.QSize(0, 0))
        self.verticalLayout = QtWidgets.QVBoxLayout(Dialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.widget_2 = QtWidgets.QWidget(Dialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.widget_2.sizePolicy().hasHeightForWidth())
        self.widget_2.setSizePolicy(sizePolicy)
        self.widget_2.setMaximumSize(QtCore.QSize(401, 74))
        self.widget_2.setObjectName("widget_2")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.widget_2)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.label_icon = QtWidgets.QLabel(self.widget_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_icon.sizePolicy().hasHeightForWidth())
        self.label_icon.setSizePolicy(sizePolicy)
        self.label_icon.setMinimumSize(QtCore.QSize(48, 48))
        self.label_icon.setMaximumSize(QtCore.QSize(48, 48))
        self.label_icon.setText("")
        self.label_icon.setPixmap(QtGui.QPixmap(":/dialog/img/error.png"))
        self.label_icon.setScaledContents(True)
        self.label_icon.setObjectName("label_icon")
        self.horizontalLayout_3.addWidget(self.label_icon)
        self.widget_3 = QtWidgets.QWidget(self.widget_2)
        self.widget_3.setObjectName("widget_3")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.widget_3)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.message_label = QtWidgets.QLabel(self.widget_3)
        self.message_label.setMaximumSize(QtCore.QSize(400, 25))
        self.message_label.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
        self.message_label.setText("")
        self.message_label.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.message_label.setWordWrap(True)
        self.message_label.setObjectName("message_label")
        self.verticalLayout_3.addWidget(self.message_label)
        self.extra_label = QtWidgets.QLabel(self.widget_3)
        self.extra_label.setMaximumSize(QtCore.QSize(400, 25))
        self.extra_label.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
        self.extra_label.setText("")
        self.extra_label.setWordWrap(True)
        self.extra_label.setObjectName("extra_label")
        self.verticalLayout_3.addWidget(self.extra_label)
        self.horizontalLayout_3.addWidget(self.widget_3)
        self.verticalLayout.addWidget(self.widget_2)
        self.vertical_spacer = QtWidgets.QWidget(Dialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.vertical_spacer.sizePolicy().hasHeightForWidth())
        self.vertical_spacer.setSizePolicy(sizePolicy)
        self.vertical_spacer.setObjectName("vertical_spacer")
        self.verticalLayout.addWidget(self.vertical_spacer)
        self.widget = QtWidgets.QWidget(Dialog)
        self.widget.setMaximumSize(QtCore.QSize(400, 45))
        self.widget.setObjectName("widget")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.widget)
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.show_details = QtWidgets.QPushButton(self.widget)
        self.show_details.setCursor(QtGui.QCursor(QtCore.Qt.PointingHandCursor))
        self.show_details.setCheckable(False)
        self.show_details.setAutoDefault(True)
        self.show_details.setObjectName("show_details")
        self.horizontalLayout.addWidget(self.show_details)
        self.hide_details = QtWidgets.QPushButton(self.widget)
        self.hide_details.setCursor(QtGui.QCursor(QtCore.Qt.PointingHandCursor))
        self.hide_details.setObjectName("hide_details")
        self.horizontalLayout.addWidget(self.hide_details)
        self.ok_button = QtWidgets.QPushButton(self.widget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ok_button.sizePolicy().hasHeightForWidth())
        self.ok_button.setSizePolicy(sizePolicy)
        self.ok_button.setCursor(QtGui.QCursor(QtCore.Qt.PointingHandCursor))
        self.ok_button.setObjectName("ok_button")
        self.horizontalLayout.addWidget(self.ok_button)
        self.verticalLayout.addWidget(self.widget)
        self.detail_box = QtWidgets.QTextBrowser(Dialog)
        self.detail_box.setMaximumSize(QtCore.QSize(400, 300))
        self.detail_box.setContextMenuPolicy(QtCore.Qt.DefaultContextMenu)
        self.detail_box.setObjectName("detail_box")
        self.verticalLayout.addWidget(self.detail_box)

        self.retranslateUi(Dialog)
        QtCore.QMetaObject.connectSlotsByName(Dialog)

    def retranslateUi(self, Dialog):
        _translate = QtCore.QCoreApplication.translate
        Dialog.setWindowTitle(_translate("Dialog", "DEXBot - Error Dialog"))
        self.show_details.setText(_translate("Dialog", "Show details"))
        self.hide_details.setText(_translate("Dialog", "Hide details"))
        self.ok_button.setText(_translate("Dialog", "OK"))

from dexbot.resources import icons_rc
